Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361961 - No kernel options shown for recipes running on OpenStack
Summary: No kernel options shown for recipes running on OpenStack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 05:16 UTC by matt jia
Modified: 2017-02-21 18:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 18:51:20 UTC


Attachments (Terms of Use)

Description matt jia 2016-08-01 05:16:44 UTC
In the installation tab of the recipe page, we should show the kernal options for recipes running on OpenStack for consistency. We probably can record the the OpenStack instance created time and show it together with the kernal options. I am picturing a UI like:

+00:00:00 OpenStack Instance Created
          console=tty0 console=ttyS0,115200n81 ks=xxx/kickstart/12691

Comment 1 matt jia 2016-10-25 02:13:55 UTC
On Gerrit:

   gerrit.beaker-project.org/5357

Comment 3 matt jia 2016-11-16 06:54:26 UTC
I made a mistake when merging 80a0452. Here is the patch to fix it.


  https://gerrit.beaker-project.org/#/c/5436/

Comment 4 Roman Joost 2016-12-05 04:58:31 UTC
This bug fix is included in beaker-server-24.0-0.git.204.bf63e0d which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 6 Dan Callaghan 2017-02-21 18:51:20 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.